"use strict";
var core_1 = require('@angular/core');
var HighlighterDirective = (function () {
    function HighlighterDirective(eltRef) {
        this.eltRef = eltRef;
    }
    HighlighterDirective.prototype.ngAfterViewInit = function () {
        this.eltRef.nativeElement.innerHTML = Prism.highlight(this.content, Prism.languages[this.language]);
    };
    HighlighterDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: '[highlighter]'
                },] },
    ];
    /** @nocollapse */
    HighlighterDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
    ]; };
    HighlighterDirective.propDecorators = {
        'language': [{ type: core_1.Input },],
        'content': [{ type: core_1.Input },],
    };
    return HighlighterDirective;
}());
exports.HighlighterDirective = HighlighterDirective;
//# sourceMappingURL=highlighter.directive.js.map